<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdatePropertyFactData extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::connection()->statement("UPDATE property_fact SET parent_id = 44, order_number = 5  WHERE id = 258");
        DB::connection()->statement("DELETE FROM offer_fact_mapping  WHERE property_fact_id = 257");
        DB::connection()->statement("DELETE FROM offer_fact_mapping  WHERE property_fact_parent_id = 257");
        DB::connection()->statement("DELETE FROM offer_fact_mapping  WHERE category_id = 257");
        DB::connection()->statement("DELETE FROM property_fact_attribute_mapping  WHERE fact_id = 257");
        DB::connection()->statement("DELETE FROM property_fact_mapping  WHERE fact_id = 257");
        DB::connection()->statement("DELETE FROM property_room_fact_mapping  WHERE fact_id = 257");
        DB::connection()->statement("DELETE FROM property_fact_locale  WHERE fact_id = 257");
        DB::connection()->statement("DELETE FROM property_fact  WHERE id = 257");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
